DEBCONF(1)

NAME
debconf - run a debconf-using program

SYNOPSIS
 debconf [options] command [args]

DESCRIPTION
Debconf is a configuration system for Debian packages. For a debconf overview and documentation for sysadmins, see debconf(7) (in the debconf-doc package).

The debconf program runs a program under debconf's control, setting it up to talk with debconf on stdio. The program's output is expected to be debconf protocol commands, and it is expected to read result codes on stdin. See debconf-devel(7) for details about the debconf protocol.

The command to be run under debconf must be specified in a way that will let your PATH find it.

This command is not the usual way that debconf is used. It's more typical for debconf to be used via dpkg-preconfigure(8) or dpkg-reconfigure(8).

OPTIONS

-opackage, --owner=package
    Tell debconf what package the command it is running is a part of. This is necessary to get ownership of registered questions right, and to support unregister and purge commands properly.

-ftype, --frontend=type
    Select the frontend to use.

-pvalue, --priority=value
    Specify the minimum priority of question that will be displayed.

EXAMPLES
To debug a shell script that uses debconf, you might use:

 DEBCONF_DEBUG=developer debconf my-shell-prog

Or, you might use this:

 debconf --frontend=readline sh -x my-shell-prog

SEE ALSO
debconf-devel(7), debconf(7)

AUTHOR
Joey Hess <joeyh@debian.org>